OPatch Cannot Continue Because it Would not be Able to Load OUI Platform Dependent Library from the Directory "$ORACLE_HOME/oui/lib/linux" (Doc ID 2102647.1)

Last updated on MARCH 26, 2017

Applies to:

Oracle Database - Enterprise Edition - Version 11.2.0.4 and later
Linux x86-64

Symptoms

OPatch fails with below error:

$opatch lsinventory

OPatch cannot continue because it would not be able to load OUI platform dependent library from the directory "/u01/oracle/product/11.2.0.4/db_home/oui/lib/linux". The directory does not exist in the Oracle home.
This could be due to the following reasons.
(1) Incompatible usage of java with OUI (32/64 bit).
(2) Wrong 32-bit Oracle Home installation in 64-bit environment (or) vice-versa.
Please contact Oracle support for more details.

OPatch failed with error code 1

  

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms